Subject: Re: [PATCH] af_packet: Don't use skb after dev_queue_xmit()

From: Michael Breuer <[email-masked]>
Date: Fri, 08 Jan 2010 16:48:11 -0500

On 1/8/2010 4:29 PM, Jarek Poplawski wrote:
> On Fri, Jan 08, 2010 at 11:40:25AM -0500, Michael Breuer wrote:
>    
>> On 1/8/2010 2:45 AM, Jarek Poplawski wrote:
>>      
>> ...
> Berck Nash reported oopses during sky2 TX timeout recovery, which are
> generally hardware/driver problems, and shouldn't be triggered by ip
> level bugs, so it should be queried as a separate bug report.
>
>    
My thought was that his crash was secondary to the netdev watchdog & 
subsequent reset that I saw.
>> Will try rerunning without disable_msi later (after I catch the dns
>> thing in the sniffer).
>>      
>>>> I'm leaving this one running for now. Not retesting jumbo for now. Be
>>>> happy to help dig further.
>>>>
>>>> Tentative recommendations:
>>>>
>>>> 1) The af alternative patch seems rather necessary. First alternative
>>>> seems to be working, I'd suggest that be submitted and backported to
>>>> 2.6.32.
>>>>          
> BTW, don't hurry with that yet, but in the next test, please try
> alternative 2 again (i.e. with MMAP + no DMAR + disable_msi).
>
>    
Will do - still up from yesterday... no more dropped packets... none of 
the dns errors either. To be expected I suppose as long as I'm trying to 
sniff it. Assuming no immediate erorrs with alt2, no DMAR + disable_msi 
I'll report back after it's been up for a while.